## CORBA Interface IFilteredList

Manipulates a collection of named values.

### Definition

CORBA Module SASIOMCommon

### IFilteredList Description

This interface facilitates retrieval and updating of named values scoped to the interface in which this interface was obtained.

CORBA Definitions
attribute Filter | The filter used to subset the returned items.
method Close | Close this filtered list interface.
method GetAttribute |
method GetAttributes |
method SetValue |

Java Classes
IFilteredListHelper | Used to manipulate the IFilteredList type
IFilteredListHolder | Used to process the IFilteredList type as an out parameter

Java Interfaces
IFilteredList | Manipulates a collection of named values.

Java Interface IFilteredList

Manipulates a collection of named values.

Package com.sas.iom.SASIOMCommon

IFilteredList Description
This interface facilitates retrieval and updating of named values scoped to the interface in which this interface was obtained.

`public interface IFilteredList
extends org.omg.CORBA.Object`

Method Summary

void | Close () Close this filtered list interface.
void | GetAttribute ( java.lang.String name , java.lang.String columns , AnySeqHolder attr ) throws ( GenericError );
void | GetAttributes ( java.lang.String columns , AnySeqHolder attrs ) throws ( GenericError );
void | SetValue ( java.lang.String name , any newValue ) throws ( GenericError );

Java Class IFilteredListHelper

public class IFilteredListHelper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IFilteredList type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IFilteredListHelper

Java Class IFilteredListHolder

public class IFilteredListHolder

Description
Implementing class for methods (_read, _write, _type) used to process the IFilteredList type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IFilteredListHolder

CORBA Attribute Filter

The filter used to subset the returned items.

Description
Use this attribute to define the set of items to be returned.

Usage

Java Method Filter

    public java.lang.String Filter ();
    public void Filter ( java.lang.String Filter );

CORBA Method Close

Close this filtered list interface.

Description
Call this method to close the FilteredList interface. When this FilteredList interface is closed, all of the resources utilize to construct this interface are released.

Usage

Java Method Close

`void` Close ( )

Example

CORBA Method GetAttribute

Description

Usage

Java Method GetAttribute

`void` GetAttribute (

        java.lang.String name ,
        java.lang.String columns ,
        AnySeqHolder attr
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
name | in | java.lang.String |
columns | in | java.lang.String |
attr | out | AnySeqHolder |

Example

CORBA Method GetAttributes

Description

Usage

Java Method GetAttributes

`void` GetAttributes (

        java.lang.String columns ,
        AnySeqHolder attrs
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
columns | in | java.lang.String |
attrs | out | AnySeqHolder |

Example

CORBA Method SetValue

Description

Usage

Java Method SetValue

`void` SetValue (

        java.lang.String name ,
        any newValue
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
name | in | java.lang.String |
newValue | in | any |

Example